VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros
aaxwrapper.cpp File Reference
`#include "aaxwrapper.h"`
`#include "AAX.h"`
`#include "AAX_Assert.h"`
`#include "AAX_Errors.h"`
`#include "AAX_ICollection.h"`
`#include "AAX_IComponentDescriptor.h"`
`#include "AAX_IEffectDescriptor.h"`
`#include "AAX_IMIDINode.h"`
`#include "AAX_IPropertyMap.h"`
`#include "AAX_Version.h"`
`#include "aaxwrapper_description.h"`
`#include "aaxwrapper_gui.h"`
`#include "aaxwrapper_parameters.h"`
`#include "base/thread/include/fcondition.h"`
`#include <pthread.h>`

## Macros
#define | USE_TRACE 1
#define | HAPI AAX_eTracePriorityHost_Normal
#define | HLOG AAX_TRACE
#define | getCurrentThread() (pthread_self ())
#define | ADDPROCPTR(N) case N: fn = &CP<N>::Create_Parameters; break;

## Macro Definition Documentation

#define USE_TRACE 1

#define HAPI AAX_eTracePriorityHost_Normal

#define HLOG AAX_TRACE

#define getCurrentThread | ( |  | ) | (pthread_self ())

#define ADDPROCPTR | ( |  | N | ) | case N: fn = &CP<N>::Create_Parameters; break;

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.